export declare class CachedFunctionProxy<T extends Function> {
    private proxiedFunction;
    private thisArg;
    private cache;
    private cacheKeySeq;
    private cacheKeys;
    call: T;
    constructor(proxiedFunction: T, thisArg?: any);
    private proxyCall();
    clear(): void;
    private getCacheRecord(key);
    private putCacheRecord(key, value);
}
export declare class CachedMethodProxy<T> {
    private proxiedObject;
    private methodProxies;
    constructor(proxiedObject: T);
    proxy: T;
    clear(): void;
}
